# SHOOKACH

Simple gem for basic full-text search 

## Installation

```sh
$ gem install shookach
```

Or with Bundler in your Gemfile.

```ruby
gem 'shookach'
```

## Getting started

### Indexing

Index files in `./public/input/` directory and store to `./public/output/`

```ruby
Shookach.index
```
or
```ruby
rake shookach:index
```

Index files from specific directory

```ruby
Shookach.index({library_path: 'path/to/input/dir/'})
```
or
```ruby
rake shookach:index['path/to/input/dir/']
```

Store indexes file to specific directory

```ruby
Shookach.index({output_path: 'path/to/output/dir/'})
```
or
```ruby
rake shookach:index[,'path/to/output/dir/']
```

Index files from specific directory and file to specific directory

```ruby
Shookach.index({library_path: 'path/to/input/dir/', output_path: 'path/to/output/dir/'})
```
or
```ruby
rake shookach:index['path/to/input/dir/','path/to/output/dir/']
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/BohdanChaban/shookach.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
